/**********************************************************************
*  File:    HOSTEXT.H                                                 *
*  Purpose: Comtrol Hostess i Programmers' Toolkit External Variable  *
*           Definition File (Host Program)                            *
*  Date:    February 15, 1990                                         *
*  Author:  Howard D. Straus                                          *
*  Release: 1.00 - Original release                                   *
***********************************************************************
*                         COPYRIGHT NOTICE                            *
*=====================================================================*
*   Copyright 1990, 1991 by Howard D. Straus and Comtrol Corporation. *
*   All rights reserved.  Use or reproduction by any means of any     *
*   portion of this code contrary to the developers license agreement *
*   is expressly prohibited.                                          *
***********************************************************************/

extern  int     current_window;         /* current text window */
extern  int     last_window;            /* last window */
extern  ULONG   host_buffer_addr;       /* host buffer address */
extern  ULONG   hcb_buffer_addr;        /* Hostess i buffer address */
extern  ULONG   mailbox_addr;           /* Hostess i mailbox address */
extern  MB_     mailbox;                /* copy of Hostess i mailbox */
extern  QH_     output_qcb;             /* output queue control block */
extern  QH_     free_qcb;               /* free buffer pool */
extern  char    keyboard_buffer[100];   /* keyboard buffer */
extern  char    *kp;                    /* pointer to keyboard buffer */
extern  time_t  last_key_hit;           /* time last key struck */
extern  BH_     mg_buffer[N_BUFFERS];   /* output message buffers */
extern  UINT    q_next_in;              /* next buffer to allocate */
extern  UINT    q_next_out;             /* next buffer to send */
extern  WS_     *wp;                    /* window pointer */
extern  WS_     window_p[N_WINDOWS];    /* window parameters array */
extern  char    hcb_load_file_name[];   /* Hostess i load file */
extern  char    hcb_interrupt;          /* Hostess i interrupt has occurred */
extern  char    message_file_name[];    /* message file name */
extern  char    log_file_name[];        /* log file name, if any */
extern  FILE    *log_file;              /* log file handle */
extern  int     parity;                 /* parity to configure port */
extern  int     data_bits;              /* port data bits */
extern  int     stop_bits;              /* port stop demi-bits per character */
extern  int     port_speed;             /* target port speed */
extern  long    base_address;           /* board base address */
extern  int     board_no;               /* default: first board */
extern  int     irq_no;                 /* base interrupt */
extern  int     irq_select[];           /* IRQ selector (control reg. 4) */
extern  int     base_port;              /* board base I/O port */
extern  long    default_base[];         /* default DP-RAM base addresses */
extern  int     default_irq[];          /* default IRQ assignments */
extern  int     io_port[];              /* default I/O port assignments */
extern  UTINY   set_time_flag;          /* deferred operation flag */
extern  UTINY   modem_control_flag;     /* deferred operation flag */
extern  UINT    modem_control_word;     /* modem control flag word */
extern  UTINY   iscolor;                /* graphics controller type flag */
extern  char    far *videomemory_addr;  /* address of video memory */
extern  UTINY   loopback_mode;          /* is port in loopback mode */
extern  time_t  last_second;            /* the last time anything was sent */
extern  int     hcb_port;               /* comm port on which to Tx/Rx data */
extern  LC_             lct;                                    /* line control table */
extern  DV_             dct;                                    /* device control table */
extern  int             in_aux;                                 /* what is in the AUX window */
extern  char    screen_buffer[];                /* save screen */
extern  char    *saved_ptr;                             /* pointer to saved screen */
extern  char    level[10];                              /* help level */


                                        /* ***** END OF FILE ***** */
