/**********************************************************************
*  File:    HOSTFNS.H                                                 *
*  Purpose: Comtrol Hostess i Programmers' Toolkit Function Proto-    *
*           type Declarations (Host Program)                          *
*  Date:    February 15, 1990                                         *
*  Author:  Howard D. Straus                                          *
*  Release: 1.00 - Original release                                   *
***********************************************************************
*                         COPYRIGHT NOTICE                            *
*=====================================================================*
*   Copyright 1990, 1991 by Howard D. Straus and Comtrol Corporation. *
*   All rights reserved.  Use or reproduction by any means of any     *
*   portion of this code contrary to the developers license agreement *
*   is expressly prohibited.                                          *
***********************************************************************/

ULONG   atoh(char *);
UINT    begin_hcb_execution(void);
void    change_to_window(int);
void    check_deferred_items(void);
int             configure_port(void);
void    dump_memory_page(long);
void    enter_debugger(void);
long    get_dp_ram_address(long);
UINT    get_key(void);
void    handle_command_line(int, char **);
void    handle_key(UINT);
void    init_windows(void);
void    initialize(void);
void    initialize_hcb(void);
UINT    load_hcb(char *);
UINT    mem_xfer(ULONG, ULONG, UINT);
ULONG   norm(void far *);
int             open_line(int);
void    process_hcb_message(MG_ *, int);
UINT    read_from_hcb(char far *, ULONG, UINT);
void    receive_hcb_message(void);
void    restore_screen(void);
int     reset_hcb(void);
void    save_screen(void);
void    send_char_to_hcb(char);
void    send_next_buffer(void);
void    show_address(long);
void    show_device_table(void);
void    show_help(void);
void    show_help_panel(void);
void    show_line_table(void);
void    send_modem_control(UINT);
void    send_next_buffer(void);
void    set_time(void);
void    show_help(void);
void    show_time(time_t);
UINT    write_to_hcb(ULONG, char far *, UINT);

void    interrupt hcb_interrupt_service(void);

void    show_help_screen(UTINY *);
void    show_input(char *);
void    show_modem_controls(int);
void    show_output(char *);
void    vline(int, int, int, int, int, int);
void    hline(int, int, int, int, int, int);



BH_     *hq_alc(void);              /* allocate a buffer */
BH_     *hq_deq(QH_ *);             /* dequeue the next buffer */
void     hq_enq(BH_ *, QH_ *);      /* enqueue a buffer */
void     hq_fre(BH_ *);             /* release a buffer to the free pool */
void     hq_ini(void);              /* initialize the host buffer pool */
void     hq_qci(QH_ *);             /* initialize a queue control block */
UINT     hq_qem(QH_ *);             /* test if a queue is empty */


                                        /* *** END OF FILE *** */
