/**********************************************************************
*  File:        FSTR.C                                                *
*  Purpose:     COMTROL Hostess i Programmer's Toolkit String         *
*       Manipulation functions for mixed size pointers                *
*  Date:        September 20, 1990                                    *
*  Author:      Howard D. Straus                                      *
*  Release:     1.00 - Original release                               *
***********************************************************************
*                         COPYRIGHT NOTICE                            *
*=====================================================================*
*   Copyright 1990, 1991 by Howard D. Straus and Comtrol Corporation. *
*   All rights reserved.  Use or reproduction by any means of any     *
*   portion of this code contrary to the developers license agreement *
*   is expressly prohibited.                                          *
***********************************************************************/

#include "compiler.h"
#include "hostess.h"
#include "proto.h"


/*
        see 'C' language strlen function
*/
int
fstrlen(s)
        char    far     *s;
{   int             len;

        len = 0;
        while (*s++)
                len++;
        return(len);
}

/*
        see 'C' language strcat function
*/
char    far     *
fstrcat(s1, s2)
        char    far     *s1;
        char            *s2;
{   char    far     *st;

        st =  s1;
        while (*s1)
                s1++;
        while ((*s1++ = *s2++) != 0)
                ;
        return(st);
}

/*
        see 'C' language strcpy function
*/
char    far     *
fstrcpy(s1, s2)
        char    far     *s1;
        char            *s2;
{   char    far     *st;

        st = s1;
        while ((*s1++ = *s2++) != '\0')
                ;
        *s1 = '\0';
        return(st);
}


/*
        see strncmp
*/
int
ffstrncmp(s1, s2, n)
        char    far     *s1;    /* first string */
        char    far     *s2;    /* second string */
        int             n;      /* count */
{   int             r;      /* result */

        while (n--)
        {   if ((r = (*s2++ - *s1++)) != 0)
                        return(r);
        }
        return(0);      /* result */
}


/*
        see 'C' language strcpy  */
char    far     *
ffstrcpy(s1, s2)
        char    far     *s2;    /* destination string */
        char    far     *s1;    /* source string */
{   char    far     *sp;    /* result pointer */

        sp = s1;                /* result pointer */
        while ((*s1++ = *s2++) != 0) /* copy string */
                ;
        return(sp);             /* return result pointer */
}


/*
        see 'C' language strstr function
*/
char    far     *
ffstrstr(s1, s2)
        char    far     *s1;
        char    far     *s2;
{   int             lh;

        lh = fstrlen(s2);
        while (*s1)
        {   if (!ffstrncmp(s1, s2, lh))
                        return(s1);
                ++s1;
        }
        return(NULL);
}


/*
        see 'C' language memset function
*/
void    far     *
fmemset(m1, c, n)
        char    far     *m1;    /* buffer to be set */
        int     c;              /* character to initialize array with */
        int     n;              /* number of characters to initialize */
{   char    far *rp;        /* pointer to return */

        rp = m1;                /* save return pointer */
        while (n--)
                *m1++ = c;          /* store character */
        return((void far *)rp); /* return pointer to buffer */
}

/*
        see 'C' language memcpy function
*/
void    far     *
ffmemcpy(m1, m2, n)
        char    far     *m1;
        char    far     *m2;
        int             n;
{   char    far     *mt;

        mt = m1;
        while (n--)
                *m1++ = *m2++;
        return((void far *)mt);
}


                                        /* ****  END OF FILE **** */







